#include <bits/stdc++.h>

using namespace std;
string a,b,c;
string xj,xd,xt,xc,xp,xs;
long long xx1,xx2,xx3,xx4,xx5,xx6;
long long maxi=0;
int main(){
    cin>>a>>b>>c;
   xj=a+b+c;
   xd=a+c+b;
   xt=b+a+c;
   xc=b+c+a;
   xp=c+b+a;
   xs=c+a+b;

   xx1=atoi(xj.c_str());
   xx2=atoi(xd.c_str());
   xx3=atoi(xt.c_str());
   xx4=atoi(xc.c_str());
   xx5=atoi(xp.c_str());
   xx6=atoi(xs.c_str());

    if(xx1>maxi)
        maxi=xx1;
    if(xx2>maxi)
        maxi=xx2;
    if(xx3>maxi)
        maxi=xx3;
    if(xx4>maxi)
        maxi=xx4;
    if(xx5>maxi)
        maxi=xx5;
    if(xx6>maxi)
        maxi=xx6;

   cout<<maxi<<endl;
    return 0;
}